Update personal information
curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/personalInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateOfBirth": "1990-05-15",
"nationalId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"taxId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"socialSecurityId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"gender": "female",
"nationality": "DE"
}
'import requests
url = "https://api.cadanapay.com/v1/persons/{personId}/personalInfo"
payload = {
"dateOfBirth": "1990-05-15",
"nationalId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"taxId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"socialSecurityId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"gender": "female",
"nationality": "DE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dateOfBirth: '1990-05-15',
nationalId: {fullId: 'T22084535', suffix: '01', type: 'tin'},
taxId: {fullId: 'T22084535', suffix: '01', type: 'tin'},
socialSecurityId: {fullId: 'T22084535', suffix: '01', type: 'tin'},
gender: 'female',
nationality: 'DE'
})
};
fetch('https://api.cadanapay.com/v1/persons/{personId}/personalInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Persons
Update personal information
Update a person’s personal information including identity documents, date of birth, gender, nationality, and address
PUT
/
v1
/
persons
/
{personId}
/
personalInfo
Update personal information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the person
Body
application/json
Update person personal info request payload
Person's date of birth
Example:
"1990-05-15"
National identification document
Show child attributes
Show child attributes
National identification document
Show child attributes
Show child attributes
National identification document
Show child attributes
Show child attributes
Person's gender
Available options:
male, female, other Example:
"female"
ISO 3166-1 alpha-2 country code
Example:
"DE"
Address
Show child attributes
Show child attributes
Response
Successful operation
⌘I